# 9086

A CPU that aims to be binary compatible with the 8086 and with as many optimisations as possible

### Progress
* [X] Executing code
* [ ] can calculate the sieve of Eratosthenes
* [ ] can boot up MS-DOS / FreeDOS
* [ ] Is completely binary compatible
* [ ] Is pipelined
* [ ] Is Out of Order
* [ ] Is superscalar

### Building it
To build it you need Icarus Verilog, bin86, GNU make, xxd and the posix coreutils.
Go into the cpu directory and run `make`

At the time of development the versions used are :

* Icarus Verilog version 11.0 (stable)
* bin86 version: 0.16.17
* GNU Make 4.3
* xxd 2022-01-14
* GNU coreutils 8.32
